HdfsFileStatus.Flags (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, interface: HdfsFileStatus, enum: Flags

Package org.apache.hadoop.hdfs.protocol

# Enum Class HdfsFileStatus.Flags

java.lang.Object
java.lang.Enum<HdfsFileStatus.Flags>
org.apache.hadoop.hdfs.protocol.HdfsFileStatus.Flags

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsFileStatus.Flags>`, `Constable`

Enclosing interface:
  HdfsFileStatus

public static enum HdfsFileStatus.Flags extends Enum<HdfsFileStatus.Flags>
Set of features potentially active on an instance.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HAS_ACL`
  `HAS_CRYPT`
  `HAS_EC`
  `SNAPSHOT_ENABLED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsFileStatus.Flags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsFileStatus.Flags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HAS_ACL

    public static final HdfsFileStatus.Flags HAS_ACL

  - ### HAS_CRYPT

    public static final HdfsFileStatus.Flags HAS_CRYPT

  - ### HAS_EC

    public static final HdfsFileStatus.Flags HAS_EC

  - ### SNAPSHOT_ENABLED

    public static final HdfsFileStatus.Flags SNAPSHOT_ENABLED

- ## Method Details

  - ### values

    public static HdfsFileStatus.Flags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsFileStatus.Flags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null